Subject: bug#51138: Increase the value of kill-ring-max

From: Stefan Kangas <[email-masked]>
Date: Wed, 13 Oct 2021 11:33:26 -0700

Juri Linkov <[email-masked]> writes:

> Thanks.  It makes sense to reduce the default value of yank-menu-max-items
> because long menus are hard to navigate, but OTOH indeed maybe better
> to leave it at the previous max number.

Right, I guess having a ridiculously large number like 60 can't hurt, as
you anyways will start out at the top of the menu.

OTOH, I'd be fine with reducing it to 40 to restore some sanity here.
I mean, we also now provide a user-option for this.

>>  (defcustom yank-menu-length 20
>> -  "Maximum length to display in the `yank-menu'."
>> +  "Maximum length of entries in the `yank-menu'."
>
> The previous docstring was unclear, but the new docstring
> doesn't make it clearer.  I don't have a concrete suggestion,
> but it needs to say that this length truncates the text
> of each menu item.

How about:

"Maximum length to which entries in the 'yank-menu' will be truncated."

?